<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myFeatureApplicableLabel" jhiTranslate="mpmApp.featureApplicable.home.createOrEditLabel">Create or edit a Feature Applicable</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!featureApplicable.idApplicability">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="featureApplicable.idApplicability" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.featureApplicable.boolValue" for="field_boolValue">Bool Value</label>
                    <div class="input-group">
                        <label class="form-check-label">
                            <p-checkbox name="input_boolValue" label="{{'mpmApp.featureApplicable.boolValue'| translate}}" styleClass="form-check-input"
                                [(ngModel)]="featureApplicable.boolValue" binary="true"></p-checkbox>
                        </label>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.featureApplicable.dateFrom" for="field_dateFrom">Date From</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="featureApplicable.dateFrom"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.featureApplicable.dateThru" for="field_dateThru">Date Thru</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="featureApplicable.dateThru"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>

                <div class="form-group" *ngIf="idFeatureType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.featureApplicable.featureType" for="field_featureType">Feature Type</label>
                    <select class="form-control" id="field_featureType" name="featureType" [(ngModel)]="featureApplicable.featureTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="featureTypeOption.idFeatureType" *ngFor="let featureTypeOption of featuretypes; trackBy: trackFeatureTypeById">{{featureTypeOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idFeature === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.featureApplicable.feature" for="field_feature">Feature</label>
                    <select class="form-control" id="field_feature" name="feature" [(ngModel)]="featureApplicable.featureId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idProduct === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.featureApplicable.product" for="field_product">Product</label>
                    <select class="form-control" id="field_product" name="product" [(ngModel)]="featureApplicable.productId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="productOption.idProduct" *ngFor="let productOption of products; trackBy: trackProductById">{{productOption.name}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
